<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs For Class PdfReport</title>
			<link rel="stylesheet" href="../../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="class-name"><img src="../../media/images/Class_logo.png"
														alt=" Class"
														title=" Class"
														style="vertical-align: middle"> PdfReport</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
													<a href="#sec-var-summary">Vars</a> (<a href="#sec-vars">details</a>)
						|											<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
						
					</div>
	<div class="info-box-body">
        		<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">A class for the fields in the editor</p>
		<p class="notes">
			Located in <a class="field" href="_inc---classPdfReport.php.html">/inc/classPdfReport.php</a> (line <span class="field">19</span>)
		</p>
		
				
		<pre><a href="../../apms/classViewer/Viewer.html">Viewer</a>
   |
   --PdfReport</pre>
	
			</div>
</div>



	<a name="sec-var-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Variable Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
						<span class="disabled">Vars</span> (<a href="#sec-vars">details</a>)
							| 
									<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
							
								</div>
		<div class="info-box-body">
			<div class="var-summary">
																																																																																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$font" title="details" class="var-name">$font</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$margins" title="details" class="var-name">$margins</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$master" title="details" class="var-name">$master</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$mmy" title="details" class="var-name">$mmy</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$numbered" title="details" class="var-name">$numbered</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$p" title="details" class="var-name">$p</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$points" title="details" class="var-name">$points</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$stream_options" title="details" class="var-name">$stream_options</a>
				</div>
											</div>
		</div>
	</div>

	<a name="sec-method-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Method Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
																		<a href="#sec-var-summary">Vars</a> (<a href="#sec-vars">details</a>)
				 
				|
						<span class="disabled">Methods</span> (<a href="#sec-methods">details</a>)
		</div>
		<div class="info-box-body">			
			<div class="method-summary">
																																																																																																																																																																																<div class="method-definition">
					<img src="../../media/images/Constructor.png" alt=" "/>
											<span class="method-result">PdfReport</span>
										<a href="#PdfReport" title="details" class="method-name">PdfReport</a>
											([<span class="var-type"></span>&nbsp;<span class="var-name">$page_size</span> = <span class="var-default">&quot;a4&quot;</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$orientation</span> = <span class="var-default">&quot;portrait&quot;</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#Box" title="details" class="method-name">Box</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$x1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$height</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#Line" title="details" class="method-name">Line</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$x1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$x2</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y2</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#MasterLayerClear" title="details" class="method-name">MasterLayerClear</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#MasterLayerOff" title="details" class="method-name">MasterLayerOff</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#MasterLayerOn" title="details" class="method-name">MasterLayerOn</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#Mm2Pt" title="details" class="method-name">Mm2Pt</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$mm</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#PageNumbering" title="details" class="method-name">PageNumbering</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$justification</span> = <span class="var-default">'right'</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$pattern</span> = <span class="var-default">'Page {PAGENUM}'</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$num</span> = <span class="var-default">1</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#PlaceImage" title="details" class="method-name">PlaceImage</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$img_path</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$height</span> = <span class="var-default">false</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#Pt2Mm" title="details" class="method-name">Pt2Mm</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$pt</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#Render" title="details" class="method-name">Render</a>
											([<span class="var-type"></span>&nbsp;<span class="var-name">$title_tag</span> = <span class="var-default">null</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#SetFileName" title="details" class="method-name">SetFileName</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$file_name</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#SetFont" title="details" class="method-name">SetFont</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$font</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$points</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#SetLineStyle" title="details" class="method-name">SetLineStyle</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$cap</span> = <span class="var-default">''</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$join</span> = <span class="var-default">''</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$dash</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$phase</span> = <span class="var-default">0</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#SetMargins" title="details" class="method-name">SetMargins</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$top</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$left</span> = <span class="var-default">-1</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$bottom</span> = <span class="var-default">-1</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$right</span> = <span class="var-default">-1</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#SetY" title="details" class="method-name">SetY</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$y</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#WriteAt" title="details" class="method-name">WriteAt</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$font</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$points</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$angle</span> = <span class="var-default">0</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$adjust</span> = <span class="var-default">0</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#WriteAtJust" title="details" class="method-name">WriteAtJust</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$just</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$font</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$points</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$angle</span> = <span class="var-default">0</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$adjust</span> = <span class="var-default">0</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#WriteParagraphs" title="details" class="method-name">WriteParagraphs</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$options</span> = <span class="var-default">false</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#WriteParagraphsAt" title="details" class="method-name">WriteParagraphsAt</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$height</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$options</span> = <span class="var-default">false</span>])
									</div>
											</div>
		</div>
	</div>		

	<a name="sec-vars"></a>
	<div class="info-box">
		<div class="info-box-title">Variables</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
										<a href="#sec-var-summary">Vars</a> (<span class="disabled">details</span>)
						
			
										| 
									<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
							
					</div>
		<div class="info-box-body">
			
<a name="var$font" id="$font"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$font</span>
						(line <span class="line-number">23</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$margins" id="$margins"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$margins</span>
						(line <span class="line-number">25</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$master" id="$master"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$master</span>
						(line <span class="line-number">22</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$mmy" id="$mmy"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$mmy</span>
						(line <span class="line-number">26</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$numbered" id="$numbered"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$numbered</span>
						(line <span class="line-number">27</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$p" id="$p"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$p</span>
						(line <span class="line-number">21</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$points" id="$points"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$points</span>
						(line <span class="line-number">24</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$stream_options" id="$stream_options"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$stream_options</span>
						(line <span class="line-number">28</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
							<h4>Inherited Variables</h4>
				<A NAME='inherited_vars'><!-- --></A>
									<p>Inherited from <span class="classname"><a href="../../apms/classViewer/Viewer.html">Viewer</a></span></p>
					<blockquote>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Fields">Viewer::$Fields</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Joins">Viewer::$Joins</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Limit">Viewer::$Limit</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Order">Viewer::$Order</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$OrderedFields">Viewer::$OrderedFields</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Query">Viewer::$Query</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Record">Viewer::$Record</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Template">Viewer::$Template</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Title">Viewer::$Title</a></span><br>
							</span>
													<img src="../../media/images/Variable.png" />
							<span class="var-title">
								<span class="var-name"><a href="../../apms/classViewer/Viewer.html#var$Where">Viewer::$Where</a></span><br>
							</span>
											</blockquote> 
										
		</div>
	</div>
	
	<a name="sec-methods"></a>
	<div class="info-box">
		<div class="info-box-title">Methods</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
															<a href="#sec-var-summary">Vars</a> (<a href="#sec-vars">details</a>)
														<a href="#sec-method-summary">Methods</a> (<span class="disabled">details</span>)
						
		</div>
		<div class="info-box-body">
			<A NAME='method_detail'></A>
<a name="methodPdfReport" id="PdfReport"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Constructor.png" />
		<span class="method-title">Constructor PdfReport</span> (line <span class="line-number">30</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">PdfReport</span>
		<span class="method-name">
			PdfReport
		</span>
					([<span class="var-type"></span>&nbsp;<span class="var-name">$page_size</span> = <span class="var-default">&quot;a4&quot;</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$orientation</span> = <span class="var-default">&quot;portrait&quot;</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$page_size</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$orientation</span>			</li>
				</ul>
		
			
	</div>
<a name="methodBox" id="Box"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">Box</span> (line <span class="line-number">185</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			Box
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$x1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$height</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x1</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y1</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$width</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$height</span>			</li>
				</ul>
		
			
	</div>
<a name="methodLine" id="Line"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">Line</span> (line <span class="line-number">175</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			Line
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$x1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y1</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$x2</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y2</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x1</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y1</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x2</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y2</span>			</li>
				</ul>
		
			
	</div>
<a name="methodMasterLayerClear" id="MasterLayerClear"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">MasterLayerClear</span> (line <span class="line-number">84</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Clear the master layer</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			MasterLayerClear
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodMasterLayerOff" id="MasterLayerOff"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">MasterLayerOff</span> (line <span class="line-number">75</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Stop writing to the master layer</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			MasterLayerOff
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodMasterLayerOn" id="MasterLayerOn"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">MasterLayerOn</span> (line <span class="line-number">60</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Start writing to the master layer</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			MasterLayerOn
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodMm2Pt" id="Mm2Pt"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">Mm2Pt</span> (line <span class="line-number">49</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			Mm2Pt
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$mm</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$mm</span>			</li>
				</ul>
		
			
	</div>
<a name="methodPageNumbering" id="PageNumbering"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">PageNumbering</span> (line <span class="line-number">179</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			PageNumbering
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$justification</span> = <span class="var-default">'right'</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$pattern</span> = <span class="var-default">'Page {PAGENUM}'</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$num</span> = <span class="var-default">1</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$justification</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$pattern</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$num</span>			</li>
				</ul>
		
			
	</div>
<a name="methodPlaceImage" id="PlaceImage"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">PlaceImage</span> (line <span class="line-number">156</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			PlaceImage
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$img_path</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$height</span> = <span class="var-default">false</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$img_path</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$width</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$height</span>			</li>
				</ul>
		
			
	</div>
<a name="methodPt2Mm" id="Pt2Mm"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">Pt2Mm</span> (line <span class="line-number">53</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			Pt2Mm
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$pt</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$pt</span>			</li>
				</ul>
		
			
	</div>
<a name="methodRender" id="Render"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">Render</span> (line <span class="line-number">196</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			Render
		</span>
					([<span class="var-type"></span>&nbsp;<span class="var-name">$title_tag</span> = <span class="var-default">null</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$title_tag</span>			</li>
				</ul>
		
			<hr class="separator" />
		<div class="notes">Redefinition of:</div>
		<dl>
			<dt><a href="../../apms/classViewer/Viewer.html#methodRender">Viewer::Render()</a></dt>
					</dl>
			
	</div>
<a name="methodSetFileName" id="SetFileName"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">SetFileName</span> (line <span class="line-number">192</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			SetFileName
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$file_name</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$file_name</span>			</li>
				</ul>
		
			
	</div>
<a name="methodSetFont" id="SetFont"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">SetFont</span> (line <span class="line-number">89</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			SetFont
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$font</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$points</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$font</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$points</span>			</li>
				</ul>
		
			
	</div>
<a name="methodSetLineStyle" id="SetLineStyle"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">SetLineStyle</span> (line <span class="line-number">171</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			SetLineStyle
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$cap</span> = <span class="var-default">''</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$join</span> = <span class="var-default">''</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$dash</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$phase</span> = <span class="var-default">0</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$width</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$cap</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$join</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$dash</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$phase</span>			</li>
				</ul>
		
			
	</div>
<a name="methodSetMargins" id="SetMargins"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">SetMargins</span> (line <span class="line-number">100</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Set the margins in millimetres, and in the same sort of  way they are set in HTML.</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			SetMargins
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$top</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$left</span> = <span class="var-default">-1</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$bottom</span> = <span class="var-default">-1</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$right</span> = <span class="var-default">-1</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$top</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$left</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$bottom</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$right</span>			</li>
				</ul>
		
			
	</div>
<a name="methodSetY" id="SetY"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">SetY</span> (line <span class="line-number">117</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Set the Y position in millimetres from the bottom of the page</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			SetY
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$y</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y</span>			</li>
				</ul>
		
			
	</div>
<a name="methodWriteAt" id="WriteAt"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">WriteAt</span> (line <span class="line-number">130</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			WriteAt
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$font</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$points</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$angle</span> = <span class="var-default">0</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$adjust</span> = <span class="var-default">0</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$text</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$font</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$points</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$angle</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$adjust</span>			</li>
				</ul>
		
			
	</div>
<a name="methodWriteAtJust" id="WriteAtJust"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">WriteAtJust</span> (line <span class="line-number">142</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			WriteAtJust
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$just</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$font</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$points</span> = <span class="var-default">false</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$angle</span> = <span class="var-default">0</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$adjust</span> = <span class="var-default">0</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$just</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$text</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$font</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$points</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$angle</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$adjust</span>			</li>
				</ul>
		
			
	</div>
<a name="methodWriteParagraphs" id="WriteParagraphs"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">WriteParagraphs</span> (line <span class="line-number">122</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			WriteParagraphs
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$options</span> = <span class="var-default">false</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$text</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$options</span>			</li>
				</ul>
		
			
	</div>
<a name="methodWriteParagraphsAt" id="WriteParagraphsAt"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">WriteParagraphsAt</span> (line <span class="line-number">126</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			WriteParagraphsAt
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$x</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$y</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$width</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$height</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$text</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$options</span> = <span class="var-default">false</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$x</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$y</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$width</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$height</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$text</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$options</span>			</li>
				</ul>
		
			
	</div>
							<h4>Inherited Methods</h4>
				<a name='inherited_methods'><!-- --></a>	
									<!-- =========== Summary =========== -->
					<p>Inherited From <span class="classname"><a href="../../apms/classViewer/Viewer.html">Viewer</a></span></p>
					<blockquote>
													<img src="../../media/images/Constructor.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodViewer">Viewer::Viewer()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodAddField">Viewer::AddField()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodAndWhere">Viewer::AndWhere()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodGetRecord">Viewer::GetRecord()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodMoreWhere">Viewer::MoreWhere()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodOrWhere">Viewer::OrWhere()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodRender">Viewer::Render()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodReplaceFieldPart">Viewer::ReplaceFieldPart()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodSetJoins">Viewer::SetJoins()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodSetTemplate">Viewer::SetTemplate()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodSetTitle">Viewer::SetTitle()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodSetWhere">Viewer::SetWhere()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodTitle">Viewer::Title()</a></span><br>
													<img src="../../media/images/Method.png" alt=" "/>
							<span class="method-name"><a href="../../apms/classViewer/Viewer.html#methodValue">Viewer::Value()</a></span><br>
											</blockquote>
										
		</div>
	</div>

	
	<p class="notes" id="credit">
		Documentation generated on Fri, 24 Dec 2010 22:48:17 +1300 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.4.3</a>
	</p>
	</div></body>
</html>